# Uses of Interface
org.opensaml.xmlsec.encryption.OtherSource

Packages that use OtherSource
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of OtherSource in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return OtherSource
Modifier and Type
Method
Description
`OtherSource`
Salt.`getOtherSource()`
Get the OtherSource child element.
Methods in org.opensaml.xmlsec.encryption with parameters of type OtherSource
Modifier and Type
Method
Description
`void`
Salt.`setOtherSource(OtherSource source)`
Set the OtherSource child element.

## Uses of OtherSource in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement OtherSource
Modifier and Type
Class
Description
`class`
`OtherSourceImpl`
Abstract implementation of `OtherSource`.
Fields in org.opensaml.xmlsec.encryption.impl declared as OtherSource
Modifier and Type
Field
Description
`private OtherSource`
SaltImpl.`otherSource`
OtherSource child element value.
Methods in org.opensaml.xmlsec.encryption.impl that return OtherSource
Modifier and Type
Method
Description
`OtherSource`
OtherSourceBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`OtherSource`
OtherSourceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`OtherSource`
SaltImpl.`getOtherSource()`
Get the OtherSource child element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type OtherSource
Modifier and Type
Method
Description
`void`
SaltImpl.`setOtherSource(OtherSource newOtherSource)`
Set the OtherSource child element.